Package ru.bitel.bgbilling.kernel.directory.api.common.bean

# Class ContractGroup

java.lang.Object
ru.bitel.bgbilling.kernel.directory.api.common.bean.ContractGroup

All Implemented Interfaces:
  `Comparable<ContractGroup>`

public class ContractGroup extends Object implements Comparable<ContractGroup>
Группы договоров

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractGroup()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(ContractGroup o)`
  `String`
  `getComment()`
  `int`
  `getId()`
  `String`
  `getTitle()`
  `boolean`
  `isEditable()`
  Возвращает свойство редактируемости группы.
  `boolean`
  `isEnabled()`
  `ContractGroup`
  `setComment(String comment)`
  `ContractGroup`
  `setEditable(boolean editable)`
  Устанавливает свойство редактируемости группы
  `ContractGroup`
  `setEnabled(boolean enabled)`
  `ContractGroup`
  `setId(int id)`
  `ContractGroup`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractGroup

    public ContractGroup()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public ContractGroup setId(int id)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public ContractGroup setTitle(String title)

  - ### isEnabled

    public boolean isEnabled()

  - ### setEnabled

    public ContractGroup setEnabled(boolean enabled)

  - ### isEditable

    public boolean isEditable()
    Возвращает свойство редактируемости группы.
    Returns:
      true - редактируемая, false - нередактируемая.

  - ### setEditable

    public ContractGroup setEditable(boolean editable)
    Устанавливает свойство редактируемости группы
    Parameters:
      `editable` -

  - ### getComment

    public String getComment()

  - ### setComment

    public ContractGroup setComment(String comment)

  - ### compareTo

    public int compareTo(ContractGroup o)
    Specified by:
      `compareTo` in interface `Comparable<ContractGroup>`